{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "(gdb) Bash on Windows Launch1",
            "type": "cppdbg",
            "request": "launch",
            "program": "O:\\Coding\\GameEngine\\bin\\EditorUI_d.exe",
            "args": [ "test/example.xml" ],
            "stopAtEntry": false,
            "cwd": "O:\\Coding\\GameEngine",
            "environment": [],
            "externalConsole": false,
            "pipeTransport": {
                "debuggerPath": "/mnt/c/Users/John/scoop/apps/mingw/current/bin/gdb.exe",
                "pipeProgram": "${env:windir}\\system32\\bash.exe",
                "pipeArgs": ["-c"],
                "pipeCwd": ""
            },
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "(gdb) Bash on Windows Launch",
            "type": "cppdbg",
            "request": "launch",
            "program": "/home/jryland/Coding/GameEngine/bin/EditorUI_d.exe",
            "args": [ "./test/example.xml" ],
            "stopAtEntry": false,
            "cwd": "/home/jryland/Coding/GameEngine",
            "environment": [],
            "externalConsole": false,
            "pipeTransport": {
                "debuggerPath": "/usr/bin/gdb",
                "pipeProgram": "${env:windir}\\system32\\bash.exe",
                "pipeArgs": ["-c"],
                "pipeCwd": ""
            },
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "type": "vgdb",
            "request": "launch",
            "name": "C/C++ Debug Launch",
            "debugger": "gdb",
            "program": "${workspaceFolder}/bin/EditorUI_d.exe",
            "args": [
                "./test/example.xml"
            ],
            "cwd": "${workspaceFolder}"
        },
        {
            "name": "(gdb) Launch",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/bin/EditorUI_d.exe",
            "args": [
                "./test/example.xml"
            ],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
            // , "preLaunchTask": "${defaultBuildTask}"
        },
        {
            "name": "(gdb) Linux Launch",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/bin/EditorUI_d",
            "args": [
                "./test/example.xml"
            ],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description": "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        }
    ]
}